## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond autoreconf 1

%global upver 0.0.14

Name:           gp2c
Version:        %{gsub %{upver} pl .}
Release:        %autorelease
Summary:        PARI/GP script to C program translator

# The entire source is GPL-2.0-or-later (see README), except:
#   - src/parse.h and src/parse.c are (GPL-3.0-or-later WITH
#     Bison-exception-2.2)
#
# Additionally, some files that belong to the build system and therefore do not
# contribute to the license of the binary RPMs have other licenses:
#   - aclocal.m4 is FSFULLR
#   - configure is FSFUL, or more likely, (FSFUL AND GPL-2.0-or-later)
#   - config/install-sh is X11
License:        GPL-2.0-or-later AND GPL-3.0-or-later WITH Bison-exception-2.2
URL:            https://pari.math.u-bordeaux.fr/
Source0:        %{url}pub/pari/GP2C/gp2c-%{upver}.tar.gz
Source1:        %{url}pub/pari/GP2C/gp2c-%{upver}.tar.gz.asc
# Public key 0x4522e387, Bill Allombert <Bill.Allombert@math.u-bordeaux.fr>
Source2:        gpgkey-42028EA404A2E9D80AC453148F0E7C2B4522E387.gpg

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  perl

%if %{with autoreconf}
BuildRequires:  autoconf
BuildRequires:  automake
%endif

BuildRequires:  pari-gp
BuildRequires:  pari-devel

BuildRequires:  tex(latex)

BuildRequires:  gnupg2

Requires:       gcc
Requires:       pari-devel%{?_isa}

Recommends:     pari-gp

%description
GP2C is a PARI/GP script to C program translator.


%package        doc
Summary:        Documentation for gp2c
BuildArch:      noarch

%description    doc
This package contains documentation for GP2C.


%prep
%{gpgverify} --data=%{SOURCE0} --signature=%{SOURCE1} --keyring=%{SOURCE2}
%autosetup -n gp2c-%{upver}

# Convert to Unicode
iconv -f ISO8859-1 -t UTF-8 ChangeLog > ChangeLog.utf8
touch -r ChangeLog ChangeLog.utf8
mv ChangeLog.utf8 ChangeLog

# Regenerate the documentation
rm -v doc/*.{dvi,html,pdf}


%conf
%if %{with autoreconf}
autoreconf --force --install --verbose
%endif
%configure --with-paricfg='%{_libdir}/pari/pari.cfg'


%build
%make_build

# Build the documentation
# The makefile does not invoke LaTex enough times, so do it manually
cd doc
pdflatex -interaction=batchmode gp2c.tex
pdflatex -interaction=batchmode gp2c.tex
pdflatex -interaction=batchmode gp2c.tex
pdflatex -interaction=batchmode type.tex
pdflatex -interaction=batchmode type.tex
cd -


%install
%make_install

# We will install the files we want with %%doc below
rm -vrf '%{buildroot}%{_docdir}/gp2c'


%check
%make_build check


%files
%license COPYING
%doc README
%{_bindir}/gp2c
%{_bindir}/gp2c-run
%{_mandir}/man1/gp2c.1*
%{_mandir}/man1/gp2c-run.1*
%{_datadir}/gp2c/


%files doc
%license COPYING
%doc AUTHORS
%doc ChangeLog
%doc BUGS
%doc README
%doc doc/*.pdf
%doc doc/*.png


%changelog
## START: Generated by rpmautospec
* Fri Nov 01 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.0.14-3
- Invoke autoreconf and configure in %%conf rather than in %%build

* Fri Nov 01 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.0.14-2
- Run autoreconf (re-generate configure) by default

* Mon Oct 07 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.0.14-1
- Update to 0.0.14 (close RHBZ#2316990)

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.13-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.13-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.13-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Sep 22 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.0.13-1
- Update to 0.0.13 (close RHBZ#2128529)

* Fri Aug 05 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.0.12.1-4
- Drop unnecessary BR’s on bison and flex

* Fri Aug 05 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.0.12.1-3
- Update License to SPDX

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.12.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Mar 27 2022 Jerry James <loganjerry@gmail.com> - 0.0.12.1-1
- Version 0.0.12pl1.

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.12-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Dec 10 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.0.12-4
- Explicitly BR: make

* Fri Dec 10 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.0.12-3
- Style changes according to personal preference

* Wed Aug 11 2021 Jerry James <loganjerry@gmail.com> - 0.0.12-1
- Initial RPM

## END: Generated by rpmautospec
